Package org.eclipse.viatra.addon.validation.runtime

## Class ConstraintAdapter

- java.lang.Object
- - org.eclipse.viatra.addon.validation.runtime.ConstraintAdapter

-     public class ConstraintAdapter
      extends java.lang.Object

  The constraint adapter class is used to collect the constraints and deal with their maintenance for a given EMF instance model. If the validation framework is initialized an instance of this class will be created which handles the creation of the appropriate rules and their jobs.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConstraintAdapter​(org.eclipse.core.resources.IResource resourceForEditor, java.util.Set<IConstraintSpecification> constraintSpecificationsForEditorId, ConstraintListener constraintListener, org.eclipse.emf.common.notify.Notifier notifier, org.apache.log4j.Logger logger)` |
    `ConstraintAdapter​(org.eclipse.ui.IEditorPart editorPart, org.eclipse.emf.common.notify.Notifier notifier, org.apache.log4j.Logger logger)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` |
    `protected org.eclipse.core.resources.IResource` | `getResourceForEditor()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConstraintAdapter

          public ConstraintAdapter​(org.eclipse.ui.IEditorPart editorPart,
                                   org.eclipse.emf.common.notify.Notifier notifier,
                                   org.apache.log4j.Logger logger)

    - #### ConstraintAdapter

          public ConstraintAdapter​(org.eclipse.core.resources.IResource resourceForEditor,
                                   java.util.Set<IConstraintSpecification> constraintSpecificationsForEditorId,
                                   ConstraintListener constraintListener,
                                   org.eclipse.emf.common.notify.Notifier notifier,
                                   org.apache.log4j.Logger logger)

      Since:
        2.1

  - ### Method Detail

    - #### dispose

          public void dispose()

    - #### getResourceForEditor

          protected org.eclipse.core.resources.IResource getResourceForEditor()